OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
StrAttributeCopy Struct Reference

`#include <openvdb_houdini/AttributeTransferUtil.h>`

Inheritance diagram for StrAttributeCopy:

## Public Types
using | Ptr = std::shared_ptr<AttributeCopyBase>

## Public Member Functions
| StrAttributeCopy (const GA_Attribute &sourceAttr, GA_Attribute &targetAttr)
void | copy (GA_Offset source, GA_Offset target) override
void | copy (GA_Offset &v0, GA_Offset &v1, GA_Offset &v2, GA_Offset target, const openvdb::Vec3d &uvw) override

## Protected Attributes
const GA_Attribute & | mSourceAttr
GA_Attribute & | mTargetAttr
const GA_AIFSharedStringTuple & | mAIF
int | mTupleSize

## Member Typedef Documentation

## ◆ Ptr

using Ptr = std::shared_ptr<AttributeCopyBase>
| inherited

## Constructor & Destructor Documentation

## ◆ StrAttributeCopy()

StrAttributeCopy | ( | const GA_Attribute & | sourceAttr,
|  | GA_Attribute & | targetAttr )
| inline

## Member Function Documentation

## ◆ copy() [1/2]

void copy | ( | GA_Offset & | v0,
|  | GA_Offset & | v1,
|  | GA_Offset & | v2,
|  | GA_Offset | target,
|  | const openvdb::Vec3d & | uvw )
| inline override virtual

Implements AttributeCopyBase.

## ◆ copy() [2/2]

void copy | ( | GA_Offset | source,
|  | GA_Offset | target )
| inline override virtual

Implements AttributeCopyBase.

## Member Data Documentation

## ◆ mAIF

const GA_AIFSharedStringTuple& mAIF
| protected

## ◆ mSourceAttr

const GA_Attribute& mSourceAttr
| protected

## ◆ mTargetAttr

GA_Attribute& mTargetAttr
| protected

## ◆ mTupleSize

int mTupleSize
| protected